use std::thread;

static a: i64 = 42;

fn func<T>(x: T) where T: 'static + std::fmt::Display {
     println!("値は {x}");
}

fn main() {
    func(a);
    func("Hello");

    let s = "static string slice";
    let handle1 = thread::spawn(move || {
         println!("{s}");
    });
    let handle2 = thread::spawn(move || {
         println!("{s}");
    });
    handle1.join().unwrap();
    handle2.join().unwrap();
}